Loading...
Searching...
No Matches
hs_regexp Struct Reference

## Public Attributes

char * | startp [NSUBEXP]
char * | endp [NSUBEXP]
char | regstart
char | reganch
char * | regmust
int | regmlen
char | program [1]

## Detailed Description

Definition at line 50 of file regexp.h.

## Member Data Documentation

## startp

char* hs_regexp::startp[NSUBEXP]

Definition at line 51 of file regexp.h.

## endp

char* hs_regexp::endp[NSUBEXP]

Definition at line 52 of file regexp.h.

## regstart

char hs_regexp::regstart

Definition at line 53 of file regexp.h.

## reganch

char hs_regexp::reganch

Definition at line 54 of file regexp.h.

## regmust

char* hs_regexp::regmust

Definition at line 55 of file regexp.h.

## regmlen

int hs_regexp::regmlen

Definition at line 56 of file regexp.h.

## program

char hs_regexp::program[1]

Definition at line 57 of file regexp.h.

The documentation for this struct was generated from the following file:

- base_class/string/regexp.h